/* Handle the stick of the GP2X.
   Copyright (C) 2006 Carl Fredrik Hammar (hammy.lite@gmail.com)

   This file is part of GP2X Sand.

   GP2X Sand is free software; you can redistribute it and/or modify it
   under the terms of the GNU General Public License as published by the
   Free Software Foundation; either version 2 of the License, or (at your
   option) any later version.

   GP2X Sand is distributed in the hope that it will be useful, but
   WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
   General Public License for more details. 

   You should have received a copy of the GNU General Public License along
   with GP2X Sand; if not, write to the Free Software Foundation, Inc., 51
   Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA */

#ifndef GP2XSTICK_H
#define GP2XSTICK_H

#include "SDL.h"

#include "action.h"
#include "emitter.h"

/** This module handles the gp2x's stick and maps it to move the pen
    around. **/

/* Initialize the stick.  This remaps gp2x stick events in the
   event-handler. */
void
stick_init_default ();

/* Examines the current state of the stick and moves the pen
   accordingly.  Call this regularly. */
void
stick_pen_move ();

#endif /* not GP2XSTICK_H */
